Classes | Namespaces | Typedefs | Functions
XMLTreeNode.h File Reference
`#include <deque>`
`#include <string>`
`#include <utility>`
`#include <boost/intrusive_ptr.hpp>`
`#include "libebook_libcss.h"`

Go to the source code of this file.

## Classes
struct | libebook::XMLTreeNode
struct | libebook::XMLTreeNode::QName
struct | libebook::XMLTreeNode::Configuration
struct | libebook::XMLTreeNode::ElementData
struct | libebook::XMLTreeNode::AttributeData

## Namespaces
| libebook

## Typedefs
typedef boost::intrusive_ptr< XMLTreeNode > | libebook::XMLTreeNodePtr_t

## Functions
bool | libebook::operator== (const XMLTreeNode::QName &lhs, const XMLTreeNode::QName &rhs)
bool | libebook::operator!= (const XMLTreeNode::QName &lhs, const XMLTreeNode::QName &rhs)
bool | libebook::caselessEqual (const XMLTreeNode::QName &lhs, const XMLTreeNode::QName &rhs)
bool | libebook::operator== (const XMLTreeNode::AttributeData &lhs, const XMLTreeNode::AttributeData &rhs)
bool | libebook::operator!= (const XMLTreeNode::AttributeData &lhs, const XMLTreeNode::AttributeData &rhs)
bool | libebook::operator== (const XMLTreeNode::ElementData &lhs, const XMLTreeNode::ElementData &rhs)
bool | libebook::operator!= (const XMLTreeNode::ElementData &lhs, const XMLTreeNode::ElementData &rhs)
void | libebook::intrusive_ptr_add_ref (XMLTreeNode *const p)
void | libebook::intrusive_ptr_release (XMLTreeNode *const p)